#!/usr/bin/python
# Initialisation
import RPi.GPIO as GPIO
import time
import os
GPIO.setmode(GPIO.BCM)
 
# Numero de la broche GPIO pour le transfert d etat, a modifier si le cavalier est retire
GPIO_TPIN = 21
 
print "Panne de courant / alarme par e-mail (CTRL-C pour fermer)"
 
# Set pin as input
GPIO.setup(GPIO_TPIN,GPIO.IN,pull_up_down = GPIO.PUD_DOWN)      
 
Current_State  = 0
Previous_State = 0
 
try:
 
  print "En attente d initialisation de l alimentation ..."
 
  
  while GPIO.input(GPIO_TPIN)==1:
    Current_State  = 0
 
  print "  Pret"
 

  while True :
 
    Current_State = GPIO.input(GPIO_TPIN)
 
    if Current_State==1 and Previous_State==0:
      Previous_State=1
      os.system("sudo shutdown -h now")
    elif Current_State==0 and Previous_State==1:
      Previous_State=0
 
    time.sleep(0.01)
 
except KeyboardInterrupt:
  print "  Quit"
  GPIO.cleanup()


  
